;=======================Orochi Sama Creado por Zelgadis========================;
;=======================Zelgadiss-Graywords@hotmail.com========================;
;============================Play KOF MENORIAL=================================;

;;;;;;;;;;;;;;;;;;;AI
[Command]
name = "AI0"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI1"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI2"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI3"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI4"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI5"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI6"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI7"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI8"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI9"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI10"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI11"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI12"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI13"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI14"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI15"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI16"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI17"
command = a,B,c,x,y,z,s,B,D,F,U,a,b,c,x,y,z,s,s
time = 0
[Command]
name = "AI18"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI19"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI20"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI21"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI22"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI23"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI24"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI25"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI26"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI27"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI28"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI29"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI30"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI31"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI32"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI33"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI34"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI35"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI36"
command = z,z,z,z,z,z,a,a,a,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI37"
command = z,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,z,z,z
time = 0
[Command]
name = "AI38"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z
time = 0
[Command]
name = "AI39"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI40"
command = z,z,z,z,a,a,a,z,z,z,z,a,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI41"
command = z,z,z,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z,z
time = 0
[Command]
name = "AI42"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI43"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,a,a,z
time = 0
[Command]
name = "AI44"
command = z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,a,a,a,z
time = 0
[Command]
name = "AI45"
command = z,z,z,z,z,z,a,a,z,z,z,z,z,a,a,a,a,z,z
time = 0
[Command]
name = "AI46"
command = z,z,z,z,z,z,z,z,a,a,a,a,a,a,z,z,z,z,z
time = 0
[Command]
name = "AI47"
command = z,z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI48"
command = z,z,z,z,z,a,a,a,z,z,z,a,a,a,z,z,a,z,a
time = 0
[Command]
name = "AI49"
command = z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z,z
time = 0
[Command]
name = "AI50"
command = z,z,z,a,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z
time = 0

;-----------------------------------------------------------

[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Defauls |-------------------------------------------------------------------
[Defaults]
command.time = 15
command.buffer.time = 1

;-------------------------------------------------------------------------------
;-| Movimientos MAX |-----------------------------------------------------------

[command]
name = "Doble Soul Extraction"
command = ~$D, $F, $D, $F, a+b
time = 30

[command]
name = "Doble Mu Ni Kaerou"
command = ~$D, $F, $D, $F, c
time = 30

[command]
name = "Doble Mu Ni Kaerouxp"
command = ~$D, $B, $D, $B, c
time = 30

[command]
name = "or"
command = ~$D, $B, $D, $F, c
time = 30
;-------------------------------------------------------------------------------
;-| Movimientos especiales |--------------------------------------------------------

[command]
name = "Soul Extraction"
command = ~$D, $F, $D, $F, b
time = 30

[command]
name = "Soul Extraction"
command = ~$D, $F, $D, $F, a
time = 30

[command]
name = "Mu Ni Kaerou 2"
command = ~$D, $F, $D, $F, y
time = 30

[command]
name = "Mu Ni Kaerouxp"
command = ~$D, $B, $D, $F, x
time = 30

[command]
name = "Mu Ni Kaerouxp1"
command = ~$D, $B, $D, $F, y
time = 30

[command]
name = "Mu Ni Kaerou"
command = ~$D, $F, $D, $F, x
time = 30

[command]
name = "Mu Ni Kaerou1"
command = ~$D, $B, $D, $F, a
time = 30

[command]
name = "Mu Ni Kaerou1"
command = ~$D, $B, $D, $F, b
time = 30

;-------------------------------------------------------------------------------
;-| Movimientos Vasicos |----------------------------------------------------

[command]
name = "10450"
command = ~$D, $F, c
time = 20

[command]
name = "11010"
command = ~$B, $D, $B, c
time = 20

[command]
name = "Reflection 2"
command = ~$D, $F, b

[command]
name = "Reflection 1"
command = ~$D, $F, a

[command]
name = "Reflection R"
command = ~$B, $F, a

[command]
name = "Reflection R"
command = ~$B, $F, b

[command]
name = "Reflection x"
command = ~$F, $D, $F, x

[command]
name = "Reflection d"
command = ~$F, $D, $F, y

[command]
name = "Ketobashi Katto 2"
command = UUUUUBBBBFFFFFDDDDD,x+y+a+b+c+z

[command]
name = "Ketobashi Katto 1"
command = UUUUUBBBBFFFFFDDDDD,x+y+a+b+c+z

[command]
name = "Lightning 4"
command = ~$D, $B, b

[command]
name = "Lightning 3"
command = ~$D, $B, y

[command]
name = "Lightning 2"
command = ~$D, $B, a

[command]
name = "Lightning 1"
command = ~$D, $B, x

[command]
name = "Poder 2"
command = ~$D, $F, y

[command]
name = "Poder 1"
command = ~$D, $F, x
;------------------------------------------------------------------------------
[Command]
name = "jump"
command = D, $U
time = 12
;------------------------------------------------------------------------------
;-| 僉乕俀夞楢懕擖椡 |---------------------------------------------------------
[Command]
name = "FF"     ;梫媮嵪傒 (僉乕偺曄峏偼壜擻偱偡偑柤慜傪曄偊偨傝柍岠偵偟偰偼偄偗傑偣傫)
command = F, F
time = 10

[Command]
name = "BB"     ;梫媮嵪傒 (僉乕偺曄峏偼壜擻偱偡偑柤慜傪曄偊偨傝柍岠偵偟偰偼偄偗傑偣傫)
command = B, B
time = 10

;------------------------------------------------------------------------------
;-| 摨帪墴偟 |-----------------------------------------------------------------
[Command]
name = "recovery"   ;梫媮嵪傒 (僉乕偺曄峏偼壜擻偱偡偑柤慜傪曄偊偨傝柍岠偵偟偰偼偄偗傑偣傫)
command = x+a
time = 1

[Command]
name = "recovery"   ;梫媮嵪傒 (僉乕偺曄峏偼壜擻偱偡偑柤慜傪曄偊偨傝柍岠偵偟偰偼偄偗傑偣傫)
command = z
time = 1

[Command]
name = "傆偭偲偽偟"
command = y+b
time = 1

[Command]
name = "傆偭偲偽偟"
command = c
time = 1

[Command]
name = "x+y"
command = x+y
time = 1

[Command]
name = "a+b"
command = a+b
time = 1

;------------------------------------------------------------------------------
;-| 曽岦僉乕亄儃僞儞 |---------------------------------------------------------

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;------------------------------------------------------------------------------
;-| 儃僞儞扨敪 |---------------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;------------------------------------------------------------------------------
;-| 曽岦僉乕墴偟偭傁側偟 |-----------------------------------------------------
[Command]
name = "holdfwd"   ;梫媮嵪傒 (僉乕偺曄峏偼壜擻偱偡偑柤慜傪曄偊偨傝柍岠偵偟偰偼偄偗傑偣傫)
command = /$F
time = 1

[Command]
name = "holdback"  ;梫媮嵪傒 (僉乕偺曄峏偼壜擻偱偡偑柤慜傪曄偊偨傝柍岠偵偟偰偼偄偗傑偣傫)
command = /$B
time = 1

[Command]
name = "holdup"    ;梫媮嵪傒 (僉乕偺曄峏偼壜擻偱偡偑柤慜傪曄偊偨傝柍岠偵偟偰偼偄偗傑偣傫)
command = /$U
time = 1

[Command]
name = "holddown"  ;梫媮嵪傒 (僉乕偺曄峏偼壜擻偱偡偑柤慜傪曄偊偨傝柍岠偵偟偰偼偄偗傑偣傫)
command = /$D
time = 1

[Command]
name = "holdxy"
command = /$x+y
time = 1

[Command]
name = "holdc"
command = /$c
time = 1

[Command]
name = "holdx"
command = /$x
time = 1

[Command]
name = "holdy"
command = /$y
time = 1

[Command]
name = "holda"
command = /$a
time = 1

[Command]
name = "hold_a"
command = /$a
time = 1

[Command]
name = "hold_y"
command = /$y
time = 1

;------------------------------------------------------------------------------

[Command]
Name = "fwd"
Command = F
Time = 1

[Command]
Name = "back"
Command = B
Time = 1

[Command]
Name = "up"
Command = U
Time = 1

[Command]
Name = "down"
Command = D
Time = 1
;==============================================================================

[Statedef -1]

[State -1, or]
type = ChangeState
value = 20000
triggerall = !var(59)
triggerall = command = "or"
triggerall = Power >= 3000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 2310 && movecontact

;Doble Soul Extraction
[State -1, Doble Soul Extraction]
type = ChangeState
value = 2300
triggerall = !var(59)
triggerall = command = "Doble Soul Extraction"
triggerall = Power >= 2000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200
trigger3 = stateno = 210
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && movecontact
trigger8 = stateno = 300 && movecontact
trigger9 = stateno = 400 && movecontact
trigger10 = stateno = 410 && movecontact
trigger11 = stateno = 430 && movecontact
trigger12 = stateno = 440
trigger13 = stateno = 2210 && movecontact

;Soul Extraction
[State -1, Soul Extraction]
type = ChangeState
value = 2200
triggerall = !var(59)
triggerall = command = "Soul Extraction"
triggerall = Power >= 1000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200
trigger3 = stateno = 210
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && movecontact
trigger8 = stateno = 300 && movecontact
trigger9 = stateno = 400 && movecontact
trigger10 = stateno = 410 && movecontact
trigger11 = stateno = 430 && movecontact
trigger12 = stateno = 440

;Doble Mu Ni Kaerou
[State -1, Doble Mu Ni Kaerou]
type = ChangeState
value = 2100
triggerall = !var(59)
triggerall = command = "Doble Mu Ni Kaerou"
triggerall = Power >= 3000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200
trigger3 = stateno = 210
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && Movehit
trigger8 = stateno = 300 && movecontact
trigger9 = stateno = 400 && movecontact
trigger10 = stateno = 410 && movecontact
trigger11 = stateno = 430 && movecontact
trigger12 = stateno = 440
trigger13 = stateno = 10000
trigger14 = stateno = 2310 &&  Movehit

;Doble Mu Ni Kaerou
[State -1, Doble Mu Ni Kaerou]
type = ChangeState
value = 4000;11001
triggerall = !var(59)
triggerall = command = "Doble Mu Ni Kaerouxp"
triggerall = Power >= 2000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200
trigger3 = stateno = 210
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && movecontact
trigger8 = stateno = 300 && movecontact
trigger9 = stateno = 400 && movecontact
trigger10 = stateno = 410 && movecontact
trigger11 = stateno = 430 && movecontact
trigger12 = stateno = 440
trigger13 = stateno = 2210 && movecontact


;Mu Ni Kaerou
[State -1, Mu Ni Kaerou]
type = ChangeState
value = 4701
triggerall = !var(59)
triggerall = command = "Mu Ni Kaerou1"
triggerall = Power >= 1000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200
trigger3 = stateno = 210
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && movecontact
trigger8 = stateno = 300 && movecontact
trigger9 = stateno = 400 && movecontact
trigger10 = stateno = 410 && movecontact
trigger11 = stateno = 430 && movecontact
trigger12 = stateno = 440
Trigger13 = stateno = 2210 && Movehit
trigger14 = stateno = 2310 &&  Movehit

;Mu Ni Kaerou
[State -1, Mu Ni Kaerou]
type = ChangeState
value = 2000
triggerall = !var(59)
triggerall = command = "Mu Ni Kaerou"
triggerall = Power >= 1000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200
trigger3 = stateno = 210
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && Movehit
trigger8 = stateno = 300 && movecontact
trigger9 = stateno = 400 && movecontact
trigger10 = stateno = 410 && movecontact
trigger11 = stateno = 430 && movecontact
trigger12 = stateno = 440

;Mu Ni Kaerou
[State -1, Mu Ni Kaerou]
type = ChangeState
value = 10705
triggerall = !var(59)
triggerall = command = "Mu Ni Kaerouxp1"
triggerall = Power >= 1000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200
trigger3 = stateno = 210
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && Movehit
trigger8 = stateno = 300 && movecontact
trigger9 = stateno = 400 && movecontact
trigger10 = stateno = 410 && movecontact
trigger11 = stateno = 430 && movecontact
trigger12 = stateno = 440

;Mu Ni Kaerou
[State -1, Mu Ni Kaerou]
type = ChangeState
value = 10700
triggerall = !var(59)
triggerall = command = "Mu Ni Kaerouxp"
triggerall = Power >= 1000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200
trigger3 = stateno = 210
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && Movehit
trigger8 = stateno = 300 && movecontact
trigger9 = stateno = 400 && movecontact
trigger10 = stateno = 410 && movecontact
trigger11 = stateno = 430 && movecontact
trigger12 = stateno = 440

[State -1, Mu Ni Kaerou]
type = ChangeState
value = 10000
triggerall = !var(59)
triggerall = command = "Mu Ni Kaerou 2"
triggerall = Power >= 2000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200
trigger3 = stateno = 210
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && Movehit
trigger8 = stateno = 300 && movecontact
trigger9 = stateno = 400 && movecontact
trigger10 = stateno = 410 && movecontact
trigger11 = stateno = 430 && movecontact
trigger12 = stateno = 440
trigger13 = stateno = 2000 

[State -1, Mu Ni Kaerou]
type = ChangeState
value = 904;11000
triggerall = !var(59)
triggerall = command = "11010"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200
trigger3 = stateno = 210
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && movecontact
trigger8 = stateno = 300 && movecontact
trigger9 = stateno = 400 && movecontact
trigger10 = stateno = 410 && movecontact
trigger11 = stateno = 430 && movecontact
trigger12 = stateno = 440

[State -1, Mu Ni Kaerou]
type = ChangeState
value = 9837;10450
triggerall = !var(59)
triggerall = command = "10450"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200
trigger3 = stateno = 210
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && movecontact
trigger8 = stateno = 300 && movecontact
trigger9 = stateno = 400 && movecontact
trigger10 = stateno = 410 && movecontact
trigger11 = stateno = 430 && movecontact
trigger12 = stateno = 440

;Reflection 2
[State -1, Reflection 2]
type = ChangeState
value = 1045
triggerall = !var(59)
triggerall = command = "Reflection 2"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200
trigger3 = stateno = 210
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && movecontact
trigger8 = stateno = 300 && movecontact
trigger9 = stateno = 400 && movecontact
trigger10 = stateno = 410 && movecontact
trigger11 = stateno = 430 && movecontact
trigger12 = stateno = 440

;Reflection 1
[State -1, Reflection 1]
type = ChangeState
value = 1041
triggerall = !var(59)
triggerall = command = "Reflection 1"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200
trigger3 = stateno = 210
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && movecontact
trigger8 = stateno = 300 && movecontact
trigger9 = stateno = 400 && movecontact
trigger10 = stateno = 410 && movecontact
trigger11 = stateno = 430 && movecontact
trigger12 = stateno = 440

;Reflection 1
[State -1, Reflection 1]
type = ChangeState
value = 10411
triggerall = !var(59)
triggerall = command = "Reflection x"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200
trigger3 = stateno = 210
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && movecontact
trigger8 = stateno = 300 && movecontact
trigger9 = stateno = 400 && movecontact
trigger10 = stateno = 410 && movecontact
trigger11 = stateno = 430 && movecontact
trigger12 = stateno = 440

[State -1, Reflection 1]
type = ChangeState
value = 22115
triggerall = !var(59)
triggerall = command = "Reflection R"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200
trigger3 = stateno = 210
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && movecontact
trigger8 = stateno = 300 && movecontact
trigger9 = stateno = 400 && movecontact
trigger10 = stateno = 410 && movecontact
trigger11 = stateno = 430 && movecontact
trigger12 = stateno = 440

;Reflection 1
[State -1, Reflection 1]
type = ChangeState
value = 13111
triggerall = !var(59)
triggerall = command = "Reflection d"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200
trigger3 = stateno = 210
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && movecontact
trigger8 = stateno = 300 && movecontact
trigger9 = stateno = 400 && movecontact
trigger10 = stateno = 410 && movecontact
trigger11 = stateno = 430 && movecontact
trigger12 = stateno = 440

;Lightning 4
[State -1, Lightning 4]
type = ChangeState
value = 1023
triggerall = !var(59)
triggerall = command = "Lightning 4"
triggerall = numprojID(1000) = 0
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200
trigger3 = stateno = 210
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && movecontact
trigger8 = stateno = 300 && movecontact
trigger9 = stateno = 400 && movecontact
trigger10 = stateno = 410 && movecontact
trigger11 = stateno = 430 && movecontact
trigger12 = stateno = 440

;Lightning 3
[State -1, Lightning 3]
type = ChangeState
value = 1022
triggerall = !var(59)
triggerall = command = "Lightning 3"
triggerall = numprojID(1000) = 0
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200
trigger3 = stateno = 210
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && movecontact
trigger8 = stateno = 300 && movecontact
trigger9 = stateno = 400 && movecontact
trigger10 = stateno = 410 && movecontact
trigger11 = stateno = 430 && movecontact
trigger12 = stateno = 440

;Lightning 2
[State -1, Lightning 2]
type = ChangeState
value = 1021
triggerall = !var(59)
triggerall = command = "Lightning 2"
triggerall = numprojID(1000) = 0
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200
trigger3 = stateno = 210
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && movecontact
trigger8 = stateno = 300 && movecontact
trigger9 = stateno = 400 && movecontact
trigger10 = stateno = 410 && movecontact
trigger11 = stateno = 430 && movecontact
trigger12 = stateno = 440

;Lightning 1
[State -1, Lightning 1]
type = ChangeState
value = 1020
triggerall = !var(59)
triggerall = command = "Lightning 1"
triggerall = numprojID(1000) = 0
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200
trigger3 = stateno = 210
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && movecontact
trigger8 = stateno = 300 && movecontact
trigger9 = stateno = 400 && movecontact
trigger10 = stateno = 410 && movecontact
trigger11 = stateno = 430 && movecontact
trigger12 = stateno = 440

;Poder 2
[State -1, Poder 2]
type = ChangeState
value = 1052
triggerall = !var(59)
triggerall = command = "Poder 2"
triggerall = numprojID(1001) = 0
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200
trigger3 = stateno = 210
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && movecontact
trigger8 = stateno = 300 && movecontact
trigger9 = stateno = 400 && movecontact
trigger10 = stateno = 410 && movecontact
trigger11 = stateno = 430 && movecontact
trigger12 = stateno = 440

;Poder 1
[State -1, Poder 1]
type = ChangeState
value = 1051
triggerall = !var(59)
triggerall = command = "Poder 1"
triggerall = numprojID(1000) = 0
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200
trigger3 = stateno = 210
trigger4 = stateno = 215 && movecontact
trigger5 = stateno = 230 && movecontact
trigger6 = stateno = 230 && movecontact
trigger7 = stateno = 235 && movecontact
trigger8 = stateno = 300 && movecontact
trigger9 = stateno = 400 && movecontact
trigger10 = stateno = 410 && movecontact
trigger11 = stateno = 430 && movecontact
trigger12 = stateno = 440

;---------------------------------------------------------------------------
[State -1, T S]
type = ChangeState
value = 710
triggerall = command = "recovery" && command = "holdback"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = power >= 1000
trigger2 = stateno = [150,151]
triggerall = !var(59)
;---------------------------------------------------------------------------
[State -1, T S]
type = ChangeState
value = 700
triggerall = command = "recovery"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = power >= 1000
trigger2 = stateno = [150,151]
trigger3 = stateno = 100
triggerall = !var(59)
;------------------------------------------------------------------------------
;傆偭偲偽偟
[State -1, Throw]
type = ChangeState
value = 300
triggerall = command = "傆偭偲偽偟"
triggerall = statetype = S
triggerall = stateno != 100
trigger1 = ctrl
trigger2 = power >= 1000
trigger2 = stateno = [150,151]
triggerall = !var(59)
;------------------------------------------------------------------------------
;嬻拞傆偭偲偽偟
[State -1, CD]
type = ChangeState
value = 650
triggerall = command = "傆偭偲偽偟"
triggerall = statetype = A
trigger1 = ctrl
triggerall = !var(59)
;------------------------------------------------------------------------------
;P搳偘
[State -1, Throw]
type = ChangeState
value = 800
triggerall = command = "y"
triggerall = command = "holdfwd" || command = "holdback"
triggerall = statetype = S
triggerall = stateno != 100
trigger1 = p2bodydist X < 15
trigger1 = p2statetype != A && p2movetype != H
trigger1 = ctrl
triggerall = !var(59)
;------------------------------------------------------------------------------
;K搳偘
[State -1, Throw]
type = ChangeState
value = 800
triggerall = command = "b"
triggerall = command = "holdfwd" || command = "holdback"
triggerall = statetype = S
triggerall = stateno != 100
trigger1 = p2bodydist X < 15
trigger1 = p2statetype != A && p2movetype != H
trigger1 = ctrl
triggerall = !var(59)
;------------------------------------------------------------------------------
; Power charge
;[State -1]
;type = ChangeState
;value = 910
;triggerall = statetype = S
;triggerall = Power < 3000
;triggerall = ctrl = 1
;trigger1 = command = "holda"
;trigger1 = command = "holdy"
;triggerall = !var(59)
;------------------------------------------------------------------------------
;僟僢僔儏
[State -1, Dash]
type = ChangeState
value = 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl
triggerall = !var(59)

;僶僢僋僗僥僢僾
[State -1, Back Step]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl
triggerall = !var(59)

;==============================================================================


;墦嫍棧棫偪庛僷儞僠
[State -1, Stand Light Punch]
type = ChangeState
value = 215
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = statetype = S
trigger1 = ctrl
triggerall = !var(59)

;嬤嫍棧棫偪嫮僷儞僠
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = statetype = S
triggerall = p2bodydist X < 40
trigger1 = ctrl
triggerall = !var(59)

;墦嫍棧棫偪嫮僷儞僠
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = statetype = S
trigger1 = ctrl
triggerall = !var(59)

;------------------------------------------------------------------------------

;墦嫍棧棫偪庛僉僢僋
[State -1, Stand Light Kick]
type = ChangeState
value = 230
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = statetype = S
trigger1 = ctrl
trigger2 = stateno = 400 && movecontact
trigger3 = stateno = 430 && movecontact
triggerall = !var(59)

;嬤嫍棧棫偪嫮僉僢僋
[State -1, Standing Strong Kick]
type = ChangeState
value = 235
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = statetype = S
triggerall = p2bodydist X < 40
trigger1 = ctrl
trigger2 = stateno = 230 && movecontact
triggerall = !var(59)

;墦嫍棧棫偪嫮僉僢僋
[State -1, Standing Strong Kick]
type = ChangeState
value = 235
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = statetype = S
trigger1 = ctrl
trigger2 = stateno = 230 && movecontact
triggerall = !var(59)

;------------------------------------------------------------------------------
;挧敪
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = command = "start"
triggerall = var(20) = 0
trigger1 = statetype != A
trigger1 = ctrl
triggerall = !var(59)

;------------------------------------------------------------------------------
;偟傖偑傒庛僷儞僠
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 430 && time >= 4 && movecontact
triggerall = !var(59)

;偟傖偑傒嫮僷儞僠
[State -1, Crouching Strong Punch]
type = ChangeState
value = 410
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
triggerall = !var(59)
;------------------------------------------------------------------------------
;偟傖偑傒庛僉僢僋
[State -1, Crouching Light Kick]
type = ChangeState
value = 430
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
triggerall = !var(59)

;偟傖偑傒嫮僉僢僋
[State -1, Crouching Strong Kick]
type = ChangeState
value = 440
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
triggerall = !var(59)
;------------------------------------------------------------------------------
;僕儍儞僾庛僷儞僠
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = command = "x"
triggerall = stateno != 105
trigger1 = statetype = A
trigger1 = ctrl
triggerall = !var(59)

;僕儍儞僾嫮僷儞僠
[State -1, Jump Strong Punch]
type = ChangeState
value = 610
triggerall = command = "y"
triggerall = stateno != 105
trigger1 = statetype = A
trigger1 = ctrl
triggerall = !var(59)
;------------------------------------------------------------------------------
;悅捈僕儍儞僾庛僉僢僋
[State -1, Jump Light Kick]
type = ChangeState
value = 630
triggerall = command = "a"
triggerall = stateno != 105
trigger1 = statetype = A
trigger1 = ctrl
triggerall = !var(59)

;悅捈僕儍儞僾嫮僉僢僋
[State -1, Jump Strong Kick]
type = ChangeState
value = 640
triggerall = command = "b"
triggerall = stateno != 105
trigger1 = statetype = A
trigger1 = ctrl
triggerall = !var(59)

;-------------------------------------------------------------------------------
[State -3, 忢帪AI婲摦]
Type = null;VarSet
Triggerall = !var(59)
Trigger1 = RoundState = 2
Trigger1 = Ctrl
var(59) = 11
ignorehitpause = 1

[State -3, AI婲摦梡僿儖僷乕]
type=helper
trigger1=!NumHelper(80000)
trigger1=roundstate=2
trigger1=alive
trigger1=var(59)=0
Trigger1=(PrevStateNo=[191,194])||PrevStateNo=5900
Trigger1=ctrl&&stateno=0
helpertype=normal
name="AI"
stateno=80000
ID=80000
pos=9999,9999
keyctrl=1
pausemovetime=2147483647
supermovetime=2147483647
persistent = 0

[State -3, 仾偑梋寁側偙偲偟側偄傛偆偵]
type=changestate
trigger1= ishelper(80000)
trigger1= stateno!=80000
value=80000

[State -3, AI敾掕]
Type = VarSet
Triggerall = !var(59)
Triggerall = RoundState = [1,2]
Trigger1 = Command = "AI0"
Trigger2 = Command = "AI1"
Trigger3 = Command = "AI2"
Trigger4 = Command = "AI3"
Trigger5 = Command = "AI4"
Trigger6 = Command = "AI5"
Trigger7 = Command = "AI6"
Trigger8 = Command = "AI7"
Trigger9 = Command = "AI8"
Trigger10 = Command = "AI9"
Trigger11 = Command = "AI10"
Trigger12 = Command = "AI11"
Trigger13 = Command = "AI12"
Trigger14 = Command = "AI13"
Trigger15 = Command = "AI14"
Trigger16 = Command = "AI15"
Trigger17 = Command = "AI16"
Trigger18 = Command = "AI17"
Trigger19 = Command = "AI18"
Trigger20 = Command = "AI19"
Trigger21 = Command = "AI20"
Trigger22 = Command = "AI21"
Trigger23 = Command = "AI22"
Trigger24 = Command = "AI23"
Trigger25 = Command = "AI24"
Trigger26 = Command = "AI25"
Trigger27 = Command = "AI26"
Trigger28 = Command = "AI27"
Trigger29 = Command = "AI28"
Trigger30 = Command = "AI29"
Trigger31 = Command = "AI30"
Trigger32 = Command = "AI31"
Trigger33 = Command = "AI32"
Trigger34 = Command = "AI33"
Trigger35 = Command = "AI34"
Trigger36 = Command = "AI35"
Trigger37 = Command = "AI36"
Trigger38 = Command = "AI37"
Trigger39 = Command = "AI38"
Trigger40 = Command = "AI39"
Trigger41 = Command = "AI40"
Trigger42 = Command = "AI41"
Trigger43 = Command = "AI42"
Trigger44 = Command = "AI43"
Trigger45 = Command = "AI44"
Trigger46 = Command = "AI45"
Trigger47 = Command = "AI46"
Trigger48 = Command = "AI47"
Trigger49 = Command = "AI48"
Trigger50 = Command = "AI49"
Trigger51 = Command = "AI50"
Trigger52 = numhelper(80000)
Trigger52 = helper(80000),var(59)
var(59) = 11
ignorehitpause = 1


;================================================================================================
;廳椡壛懍搙寁嶼
[state -3, yaccel]
type = varset
trigger1 = fvar(30) != EnemyNear(floor(fvar(37))),const(movement.yaccel)
trigger1 = EnemyNear(floor(fvar(37))),stateno != [5000,5210]
trigger1 = EnemyNear(floor(fvar(37))),Vel Y != 0
FV = 30
value = EnemyNear(floor(fvar(37))),const(movement.yaccel)
ignorehitpause = 1


[state -3, yaccel]
type = varset
trigger1 = fvar(30) != EnemyNear(floor(fvar(37))),GetHitVar(yaccel)
trigger1 = EnemyNear(floor(fvar(37))),stateno = [5000,5210]
;trigger1 = EnemyNear(floor(fvar(37))),Vel Y != 0
FV = 30
value = EnemyNear(floor(fvar(37))),GetHitVar(yaccel);(懪寕摉偰偨帪偺yaccel抣)
ignorehitpause = 1


[state -3, yaccel]
type = varset
trigger1 = fvar(30) != 0
trigger1 = EnemyNear(floor(fvar(37))),Vel Y = 0
FV = 30
value = 0
ignorehitpause = 1


;================================================================================================
;僐儞儃梡
[State -3]
Type = varset
Triggerall = var(59) 
Trigger1 = Stateno = 1000 && Movehit
fvar(36) = 1


[State -3]
Type = varset
Triggerall = var(59) 
Trigger1 = P2MoveType != H
fvar(36) = 0


;================================================================================================
;捛寕晄壜僼儔僌
;[State -3]
;Type = varset
;Triggerall = var(59) 
;Trigger1 = Stateno = 310 && Movehit
;;Trigger2 = ProjHitTime(1500) = 1
;fvar(36) = 2


;[State -3]
;Type = varset
;Triggerall = var(59) 
;Trigger1 = P2MoveType != H
;fvar(36) = 0


;================================================================================================
;懳旘傃摴嬶仌僿儖僷乕梡

[State -3]
type = varset
trigger1 = RoundState != 2
var(25) = 0

[State -3]
type = varset
triggerall = !var(25)
trigger1 = Ctrl
var(25) = GameTime
persistent = 0

[State -3];揋A僿儖僷乕悢
type = varset
triggerall = RoundState = 2
trigger1 = GameTime = var(25)
trigger2 = (GameTime - var(25))%200 = 1
trigger2 = P2MoveType != A
var(26) = Enemy(0),NumHelper
ignorehitpause = 1

[State -3];揋B僿儖僷乕悢
type = varset
triggerall = NumEnemy = 2
trigger1 = GameTime = var(25)
trigger2 = (GameTime - var(25))%200 = 1
trigger2 = P2MoveType != A
var(27) = Enemy(1),NumHelper
ignorehitpause = 1

[State -3]
type = varset
triggerall = Enemy(0),NumHelper - var(26) > 0
trigger1 = NumEnemy = 1
trigger2 = NumEnemy = 2
trigger2 = Enemy(1),NumHelper - var(27) > 0
var(28) = 1
ignorehitpause = 1

[State -3]
type = varset
trigger1 = NumEnemy = 1
trigger1 = Enemy(0),NumHelper - var(26) <= 0
trigger2 = NumEnemy = 2
trigger2 = Enemy(0),NumHelper - var(26) <= 0
trigger2 = Enemy(1),NumHelper - var(27) <= 0
var(28) = 0
ignorehitpause = 1


;================================================================================================
;僞僢僌梡惗懚妋擣
[State -3]
Type = varset
Trigger1 = numenemy=1
fvar(37) = 0


[State -3]
Type = varset
Trigger1 = numenemy=2
fvar(37) = ifelse(EnemyNear(0),alive,0,1)

;-------------------------------------------------------------------------------

[State -3, S]
type = ChangeState
value = 20000
triggerall = var(59)
TriggerAll = StateType != A
TriggerAll = RoundState = 2
triggerall = power >= 3000
triggerall = P2StateType != L
triggerall = P2StateType  = A
triggerall = P2bodydist X = [-15,30]
triggerall = P2bodydist y >= 0
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
TriggerAll = EnemyNear(floor(fvar(37))),AnimTime <= -7
Triggerall = prevstateno = 700
triggerall = EnemyNear(floor(fvar(37))),ctrl = 0
Trigger1 = Random <= var(59)*150
trigger2 = stateno = 2310 && movecontact

[State -3, S]
type = ChangeState
value = 2200
triggerall = var(59)
TriggerAll = StateType != A
TriggerAll = RoundState = 2
triggerall = power >= 3000
triggerall = P2StateType != L
triggerall = P2StateType != A
triggerall = P2bodydist X = [-15,50]
triggerall = P2bodydist y >= 0
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
TriggerAll = EnemyNear(floor(fvar(37))),AnimTime <= -7 
Triggerall = prevstateno = 700
triggerall = EnemyNear(floor(fvar(37))),ctrl = 0
Trigger1 = Random <= var(59)*100


[State -3, MAX S]
type = ChangeState
value = 2300
triggerall = var(59)
TriggerAll = StateType != A
TriggerAll = RoundState = 2
triggerall = power >= 2000
triggerall = P2StateType != L
triggerall = P2StateType != A
triggerall = P2bodydist X = [-15,150]
triggerall = P2bodydist y >= 0
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
TriggerAll = EnemyNear(floor(fvar(37))),AnimTime <= -7 
Triggerall = prevstateno = 700
triggerall = EnemyNear(floor(fvar(37))),ctrl = 0
Trigger1 = Random <= var(59)*100


[State -3, S]
type = ChangeState
value = 2200
triggerall = var(59)
TriggerAll = StateType != A
TriggerAll = RoundState = 2
triggerall = power >= 1000
triggerall = P2StateType != L
triggerall = P2StateType != A
triggerall = P2bodydist X = [-15,50]
triggerall = P2bodydist y >= 0
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
TriggerAll = EnemyNear(floor(fvar(37))),AnimTime <= -7 
Triggerall = prevstateno = 700
triggerall = EnemyNear(floor(fvar(37))),ctrl = 0
Trigger1 = Random <= var(59)*100

[State -3, LW]
type = ChangeState
value = 2100
Triggerall = var(59)
Triggerall = StateType != A
Triggerall = RoundState = 2
Triggerall = !InGuardDist
triggerall = P2StateType != L
triggerall = Power >= 3000
Triggerall = P2BodyDist X > 100
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = NumProj = 0
Triggerall = Random < var(59)*90
Trigger1 = EnemyNear(floor(fvar(37))),NumProj >= 1
Trigger2 = Var(28)
Trigger2 = EnemyNear(floor(fvar(37))),HitDefAttr = ,AP


[State -3, Crouching Light Kick]
type = ChangeState
value = 215
triggerall = var(59)
TriggerAll = StateType != A
TriggerAll = RoundState = 2
triggerall = P2StateType != L
triggerall = P2StateType != A
triggerall = P2BodyDist X = [-10,15]
triggerall = P2BodyDist Y >= 0
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
TriggerAll = EnemyNear(floor(fvar(37))),AnimTime <= -5 
Triggerall = (PrevStateNo=[5000,5270]) || (PrevStateNo=[120,159]) || prevstateno = 700 || prevstateno = 52000
triggerall = EnemyNear(floor(fvar(37))),ctrl = 0
Trigger1 = Random<= var(59)*100


;嬤嫍棧棫偪嫮僷儞僠
[State -3, Stand Strong Punch]
type = ChangeState
value = 1041
triggerall = var(59)
TriggerAll = StateType != A
TriggerAll = RoundState = 2
triggerall = P2StateType != L
triggerall = P2BodyDist X = [-21,21]
triggerall = P2BodyDist Y = [-40,0]
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
TriggerAll = EnemyNear(floor(fvar(37))),AnimTime <= -6 
Triggerall = (PrevStateNo=[5000,5270]) || (PrevStateNo=[120,159]) || prevstateno = 700 || prevstateno = 52000
triggerall = EnemyNear(floor(fvar(37))),ctrl = 0
Trigger1 = Random<= var(59)*100



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;



;慜嬞媫夞旔
[State -3, T S]
type = ChangeState
value = 700
triggerall = var(59)
Triggerall = RoundState = 2
TriggerAll = StateType != A
triggerall = P2MoveType = A
triggerall = P2StateType != L
TriggerAll = P2BodyDist X = [-10,110] 
TriggerAll = P2BodyDist Y >= -60 
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
triggerall = !EnemyNear(floor(fvar(37))),HitDefAttr = SCA,NT,ST,HT
TriggerAll = EnemyNear(floor(fvar(37))),AnimTime <= -30 
TriggerAll = Random<= var(59)*100
triggerall = EnemyNear(floor(fvar(37))),Time >=30 || Time <= 2 || var(59) >= 11
trigger1 = EnemyNear(floor(fvar(37))),Time >=50 || var(59) >= 11
Trigger2 = (PrevStateNo=[5000,5270]) || prevstateno = 52000
Trigger3 = (PrevStateNo=[120,159])


;僶僢僋僗僥僢僾
[State -3, Back Step]
type = ChangeState
value = 1041
triggerall = var(59)
Triggerall = RoundState = 2
TriggerAll = StateType != A
triggerall = P2MoveType = A
triggerall = P2StateType != L
triggerall = P2StateType != C
TriggerAll = P2BodyDist X = [-10,80] 
TriggerAll = P2BodyDist Y >= -60 
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
TriggerAll = EnemyNear(floor(fvar(37))),AnimTime <= -9 
TriggerAll = BackEdgeBodyDist >= 20
TriggerAll = Random<= var(59)*100
triggerall = EnemyNear(floor(fvar(37))),Time >=30 || Time <= 2 || var(59) >= 11
trigger1 = EnemyNear(floor(fvar(37))),Time >=50 || var(59) >= 11
Trigger2 = (PrevStateNo=[5000,5270]) || prevstateno = 52000
Trigger3 = (PrevStateNo=[120,159])

[State -3, LW]
type = ChangeState
value = 2100
Triggerall = var(59)
Triggerall = StateType != A
Triggerall = RoundState = 2
Triggerall = !InGuardDist
triggerall = P2StateType != L
triggerall = Power >= 3000
Triggerall = P2BodyDist X > 100
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = NumProj = 0
Triggerall = Random < var(59)*90
Trigger1 = EnemyNear(floor(fvar(37))),NumProj >= 1
Trigger2 = Var(28)
Trigger2 = EnemyNear(floor(fvar(37))),HitDefAttr = ,AP
trigger3 = stateno = 10000 &&  Movehit &&time = [70 ,80]
Trigger3 = stateno = 2310&&  Movehit

[State -3, LW];神罪
type = ChangeState
value = 2100
Triggerall = var(59)
Triggerall = StateType != A
Triggerall = RoundState = 2
Triggerall = !InGuardDist
triggerall = Power >= 3000
triggerall = P2StateType != L
Triggerall = P2BodyDist X > 80
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = NumProj = 0
Triggerall = Random < var(59)*100
Trigger1 = EnemyNear(floor(fvar(37))),NumProj >= 1
Trigger2 = Var(28)
Trigger2 = EnemyNear(floor(fvar(37))),HitDefAttr = ,AP
trigger3 = stateno = 10000 &&  Movehit &&time = [70 ,80]
Trigger3 = stateno = 2310&&  Movehit

[State -3, LW]
type = ChangeState
value = 2000
Triggerall = var(59)
Triggerall = StateType != A
Triggerall = RoundState = 2
Triggerall = !InGuardDist
triggerall = Power >= 1000
triggerall = P2StateType != L
Triggerall = P2BodyDist X > 100
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = NumProj = 0
Triggerall = Random < var(59)*100
Trigger1 = EnemyNear(floor(fvar(37))),NumProj >= 1
Trigger2 = Var(28)
Trigger2 = EnemyNear(floor(fvar(37))),HitDefAttr = ,AP

[State -3, LW]
type = ChangeState
value = 4000
Triggerall = var(59)
Triggerall = StateType != A
Triggerall = RoundState = 2
Triggerall = !InGuardDist
triggerall = Power >= 2000
triggerall = P2StateType != L
Triggerall = P2BodyDist X > 100
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = NumProj = 0
Triggerall = Random < var(59)*100
Trigger1 = EnemyNear(floor(fvar(37))),NumProj >= 1
Trigger2 = Var(28)
Trigger2 = EnemyNear(floor(fvar(37))),HitDefAttr = ,AP

[State -3, LW]
type = ChangeState
value = 10000
Triggerall = var(59)
Triggerall = StateType != A
Triggerall = RoundState = 2
Triggerall = !InGuardDist
triggerall = Power >= 2000
triggerall = P2StateType != L
Triggerall = P2BodyDist X > 200
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = NumProj = 0
Triggerall = Random < var(59)*200
Trigger1 = EnemyNear(floor(fvar(37))),NumProj >= 1
Trigger2 = Var(28)
Trigger2 = EnemyNear(floor(fvar(37))),HitDefAttr = ,AP

[State -3, LW]
type = ChangeState
value = 1045
Triggerall = var(59)
Triggerall = StateType != A
Triggerall = RoundState = 2
Triggerall = !InGuardDist
triggerall = P2StateType != L
Triggerall = P2BodyDist X = [120,180]
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = NumProj = 0
Triggerall = Random < var(59)*100
Trigger1 = EnemyNear(floor(fvar(37))),NumProj >= 1
Trigger2 = Var(28)
Trigger2 = EnemyNear(floor(fvar(37))),HitDefAttr = ,AP

[State -3, LW]
type = ChangeState
value = 1052
Triggerall = var(59)
Triggerall = StateType != A
Triggerall = RoundState = 2
Triggerall = !InGuardDist
triggerall = P2StateType != L
Triggerall = P2BodyDist X > 220
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = NumProj = 0
Triggerall = Random < var(59)*100
Trigger1 = EnemyNear(floor(fvar(37))),NumProj >= 1
Trigger2 = Var(28)
Trigger2 = EnemyNear(floor(fvar(37))),HitDefAttr = ,AP

[State -3, LW]
type = ChangeState
value = 1051
Triggerall = var(59)
Triggerall = StateType != A
Triggerall = RoundState = 2
Triggerall = !InGuardDist
triggerall = P2StateType != L
Triggerall = P2BodyDist X > 130
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = NumProj = 0
Triggerall = Random < var(59)*100
Trigger1 = EnemyNear(floor(fvar(37))),NumProj >= 1
Trigger2 = Var(28)
Trigger2 = EnemyNear(floor(fvar(37))),HitDefAttr = ,AP

[State -3]
Type = ChangeState
Value = 120
TriggerAll = var(59)
TriggerAll = StateType = A
TriggerAll = Ctrl
TriggerAll = IfElse(Facing*(EnemyNear(floor(fvar(37))),Facing)*P2Dist X >0,(Abs(P2Dist X) <= 60),1)
triggerall = Random<=var(59)*100
Trigger1 = InGuardDist || (Facing*(EnemyNear(floor(fvar(37))),Facing)*P2Dist X >0 && P2MoveType = A)
Trigger1 = EnemyNear(floor(fvar(37))),HitDefAttr = SC,NA,SA,HA,NP,SP,HP || EnemyNear(floor(fvar(37))),HitDefAttr = A,NA,SA,HA,NP,SP,HP
Trigger2 = InGuardDist || Facing*(EnemyNear(floor(fvar(37))),Facing)*P2Dist X >0
Trigger2 = Enemy,NumProj > 0
Trigger3 = EnemyNear(floor(fvar(37))),HitDefAttr = SC,NA,SA,HA,NP,SP,HP || EnemyNear(floor(fvar(37))),HitDefAttr = A,NA,SA,HA,NP,SP,HP
Trigger3 = P2BodyDist X < 0
Trigger4 = EnemyNear(floor(fvar(37))),Vel X > 0
Trigger4 = EnemyNear(floor(fvar(37))),HitDefAttr = SC,NA,SA,HA,NP,SP,HP || EnemyNear(floor(fvar(37))),HitDefAttr = A,NA,SA,HA,NP,SP,HP
Trigger5 = P2movetype = A
Trigger5 = Var(28)


[State -3]
Type = ChangeState
Value = 120
TriggerAll = var(59)
TriggerAll = StateType != A
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
TriggerAll = IfElse(Facing*(EnemyNear(floor(fvar(37))),Facing)*P2Dist X >0,(Abs(P2Dist X) <= 60),1)
triggerall = Random<=var(59)*100
Trigger1 = InGuardDist || (Facing*(EnemyNear(floor(fvar(37))),Facing)*P2Dist X >0 && P2MoveType = A)
Trigger1 = EnemyNear(floor(fvar(37))),HitDefAttr = SC,NA,SA,HA,NP,SP,HP || EnemyNear(floor(fvar(37))),HitDefAttr = A,NA,SA,HA,NP,SP,HP
Trigger2 = InGuardDist || Facing*(EnemyNear(floor(fvar(37))),Facing)*P2Dist X >0
Trigger2 = Enemy,NumProj > 0 
Trigger3 = EnemyNear(floor(fvar(37))),HitDefAttr = SC,NA,SA,HA,NP,SP,HP || EnemyNear(floor(fvar(37))),HitDefAttr = A,NA,SA,HA,NP,SP,HP
Trigger3 = P2BodyDist X < 0
Trigger4 = EnemyNear(floor(fvar(37))),Vel X > 0
Trigger4 = EnemyNear(floor(fvar(37))),HitDefAttr = SC,NA,SA,HA,NP,SP,HP || EnemyNear(floor(fvar(37))),HitDefAttr = A,NA,SA,HA,NP,SP,HP
Trigger5 = P2movetype = A
Trigger5 = Var(28)

[State -3, Throw]
type = ChangeState
value = 300
triggerall = var(59)
triggerall = roundstate = 2
triggerall = power >= 1000
triggerall = stateno = [150,151]
triggerall = StateType != A
triggerall = P2MoveType = A
triggerall = P2StateType != L
triggerall = EnemyNear(floor(fvar(37))),Animtime <= -13
triggerall = BackEdgeBodyDist <= 15
triggerall = P2BodyDist X = [-5,60]
triggerall = P2BodyDist Y >= 45
Trigger1 = Random <= var(59)*100


;僈乕僪僉儍儞僙儖慜嬞媫夞旔
[State -3, T S]
type = ChangeState
value = 700
triggerall = var(59)
triggerall = roundstate = 2
triggerall = power >= 1000
triggerall = stateno = [150,151]
triggerall = StateType != A
triggerall = P2MoveType = A
triggerall = P2StateType != L
triggerall = EnemyNear(floor(fvar(37))),Animtime <= -30
triggerall = EnemyNear(floor(fvar(37))),BackEdgeBodyDist >= 40
triggerall = BackEdgeBodyDist <= 16
triggerall = P2BodyDist X = [0,120]
Trigger1 = Random <= var(59)*100


;劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒
;抧忋婲偒峌傔 
;EnemyNear(floor(fvar(37))),StateType = L EnemyNear(floor(fvar(37))),AnimTime P2bodyDist Y P2bodyDist X
;劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒劒
;棤廃傝僟僢僔儏
[State -3, Dash]
Type = ChangeState
Value = 100
Ctrl = 0
Triggerall = var(59) 
Triggerall = RoundState = 2 
Triggerall = StateType != A
Triggerall = P2StateType = L
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22
triggerall = Stateno != 100
Triggerall = P2BodyDist X = [15,200]
Triggerall = Facing != EnemyNear(floor(fvar(37))),Facing
Triggerall = EnemyNear(floor(fvar(37))),BackEdgeBodyDist >= 40
Trigger1 = Random <= var(59)*100
Trigger1 = P2StateNo = [5100,5110]


[State -3,Sjump]
Type = ChangeState
Value = 43
TriggerAll = var(59)
triggerall = roundstate = 2
TriggerAll = StateType != A
TriggerAll = P2StateType = L
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = Facing != EnemyNear(floor(fvar(37))),Facing
Triggerall = EnemyNear(floor(fvar(37))),BackEdgeBodyDist >= 40
Triggerall = P2BodyDist X = [-15,15]
Trigger1 = Random <= var(59)*100
Trigger1 = P2StateNo = [5100,5110]


[State -3, Crouching Light Kick]
type = ChangeState
value = 430
TriggerAll = var(59)
triggerall = roundstate = 2
TriggerAll = StateType != A
TriggerAll = P2StateType = L
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = P2BodyDist X = [-5,15]
Triggerall = Facing = EnemyNear(floor(fvar(37))),Facing
Triggerall = EnemyNear(floor(fvar(37))),AnimTime = -1
Trigger1 = P2StateNo = 5120
Trigger1 = Random <= var(59)*100


;僶僢僋僗僥僢僾
[State -3,]
Type = ChangeState
Value = 105
TriggerAll = var(59)
triggerall = roundstate = 2
TriggerAll = StateType != A
TriggerAll = P2StateType = L
Triggerall = Facing != EnemyNear(floor(fvar(37))),Facing
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = P2BodyDist X = [-5,30]
Trigger1 = P2StateNo = 5120
Trigger1 = Random <= var(59)*100

;俧丒僋儗僀僗丂

[State -3, MAX S]
type = ChangeState
value = 2100
triggerall = var(59)
triggerall = power >= 3000
triggerall = roundstate = 2
triggerall = statetype != A
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
triggerall = P2BodyDist X >= 101 
;triggerall = P2BodyDist Y >= 0
triggerall = !inguarddist
;triggerall = P2StateType != A
triggerall = P2MoveType = H
triggerall = P2StateType != L
Trigger1 = Random <= var(59)*100
trigger1 = ProjHitTime(1000) != -1 && ProjHitTime(1000) < 13
Trigger2 = Random <= var(59)*100
trigger2 = ProjHitTime(1020) != -1 && ProjHitTime(1020) < 13
Trigger3 = Random <= var(59)*100
trigger3 = ProjHitTime(10000) != -1 && ProjHitTime(10000) < 13

;俧丒僗僋儔乕僎儞
[State -3, S]
type = ChangeState
value = 2000
triggerall = var(59)
triggerall = power >= 1000
triggerall = roundstate = 2
triggerall = statetype != A
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
triggerall = P2BodyDist X >= 101 
;riggerall = P2BodyDist Y >= 0
triggerall = !inguarddist
;triggerall = P2StateType != A
triggerall = P2MoveType = H
triggerall = P2StateType != L
Trigger1 = Random <= var(59)*150
trigger1 = ProjHitTime(1000) != -1 && ProjHitTime(1000) < 13
Trigger2 = Random <= var(59)*120
trigger2 = ProjHitTime(1020) != -1 && ProjHitTime(1020) < 13
Trigger3 = Random <= var(59)*100
trigger3 = ProjHitTime(10000) != -1 && ProjHitTime(10000) < 13

[State -3, S]
type = ChangeState
value = 10000
triggerall = var(59)
triggerall = power >= 2000
triggerall = roundstate = 2
triggerall = statetype != A
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
triggerall = P2BodyDist X >= 101
;riggerall = P2BodyDist Y >= 0
triggerall = !inguarddist
;triggerall = P2StateType != A
triggerall = P2MoveType = H
triggerall = P2StateType != L
Trigger1 = Random <= var(59)*200
trigger1 = ProjHitTime(1000) != -1 && ProjHitTime(1000) < 13
Trigger2 = Random <= var(59)*200
trigger2 = ProjHitTime(1020) != -1 && ProjHitTime(1020) < 13
Trigger3 = Random <= var(59)*100
trigger3 = ProjHitTime(10000) != -1 && ProjHitTime(10000) < 13

[State -3, Crouching Light Kick]
type = ChangeState
value = 430
triggerall = var(59)
triggerall = !fvar(36)
triggerall = roundstate = 2
triggerall = statetype != A
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
triggerall = P2BodyDist X = [-5,15]
triggerall = P2BodyDist Y >= 0
triggerall = P2statetype != L
triggerall = P2movetype = H
triggerall = P2statetype != A
triggerall = !InGuardDist
Trigger1 = Random <= var(59)*100


;嬤嫍棧棫偪嫮僷儞僠
[State -3, Stand Strong Punch]
type = ChangeState
value = 215
triggerall = var(59)
triggerall = !fvar(36)
triggerall = roundstate = 2
triggerall = statetype != A
triggerall = P2BodyDist X = [-21,21]
triggerall = P2BodyDist Y = [-40-floor(6*(EnemyNear(floor(fvar(37))),vel Y)+(6*(6+1)/2)*fvar(30)),0-floor(6*(EnemyNear(floor(fvar(37))),vel Y)+(6*(6+1)/2)*fvar(30))]
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
triggerall = !inguarddist
triggerall = P2MoveType = H
triggerall = P2statetype != C
triggerall = P2StateType != L
Trigger1 = Random <= var(59)*100


[State -3, Crouching Light Punch]
type = ChangeState
value = 215
triggerall = var(59)
triggerall = roundstate = 2
triggerall = statetype != A
triggerall = P2statetype != A
Triggerall = P2BodyDist X = [-10,25]
triggerall = P2BodyDist Y >= 0 
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
triggerall = !inguarddist
triggerall = P2MoveType = H
triggerall = P2StateType != L
Trigger1 = Random <= var(59)*100


;棫偪庛僷儞僠
[State -3, Stand Light Punch]
type = ChangeState
value = 215
triggerall = var(59)
triggerall = !fvar(36)
triggerall = roundstate = 2
triggerall = statetype != A
triggerall = P2BodyDist X = [-5,34]
triggerall = P2BodyDist Y = [-45-floor(3*(EnemyNear(floor(fvar(37))),vel Y)+(3*(3+1)/2)*fvar(30)),0-floor(3*(EnemyNear(floor(fvar(37))),vel Y)+(3*(3+1)/2)*fvar(30))]
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
triggerall = !inguarddist
triggerall = P2MoveType = H
triggerall = P2StateType != L
triggerall = P2StateType != C
Trigger1 = Random <= var(59)*100




;僟僢僔儏
[State -3, Dash]
type = ChangeState
value = 100
triggerall = var(59)
triggerall = !fvar(36)
triggerall = roundstate = 2
triggerall = statetype != A
triggerall = P2BodyDist X >= 30
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22
triggerall = Stateno != 100
triggerall = !inguarddist
triggerall = P2MoveType = H
triggerall = P2StateType != L
Trigger1 = Random <= var(59)*100


[State -3, Sjump]
type = ChangeState
value = 43
triggerall = var(59)
triggerall = !fvar(36)
triggerall = roundstate = 2
triggerall = statetype != A
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
triggerall = P2BodyDist X = [0,90]
triggerall = P2BodyDist Y >= 0
triggerall = !inguarddist
triggerall = P2movetype = H
triggerall = P2StateType != L
triggerall = P2StateType = C
triggerall = P2stateno = [120,159]
Trigger1 = Random <= var(59)*100


;僕儍儞僾嫮僉僢僋
[State -3, Jump Strong Kick]
type = ChangeState
value = 640
triggerall = var(59)
triggerall = !fvar(36)
triggerall = roundstate = 2
triggerall = statetype = A
triggerall = ctrl
triggerall = stateno != 105
triggerall = P2BodyDist X = [-15,54]
triggerall = P2BodyDist Y = [-22,59]
triggerall = !inguarddist
triggerall = P2StateType != A
triggerall = P2movetype = H
triggerall = P2StateType != L
Trigger1 = Random <= var(59)*100


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;AI

[State -3, Crouching Light Punch]
type = ChangeState
value = 215
triggerall = var(59)
triggerall = roundstate = 2
triggerall = statetype != A
triggerall = P2statetype != A
triggerall = P2BodyDist Y >= 0 
Triggerall = P2StateType != L
Triggerall = !InGuardDist
Triggerall = Random <= var(59)*100
Trigger1 = stateno = 430 && Movecontact

[State -3, Crouching Light Punch]
type = ChangeState
value = 230
triggerall = var(59)
triggerall = roundstate = 2
triggerall = statetype != A
triggerall = P2statetype != A
triggerall = P2BodyDist X = [-15,34]
triggerall = P2BodyDist Y = [-22,39]
Triggerall = P2StateType != L
Triggerall = !InGuardDist
Triggerall = Random <= var(59)*200
Trigger1 = stateno = 400 && Movecontact

[State -3, Crouching Light Punch]
type = ChangeState
value = 235
triggerall = var(59)
triggerall = roundstate = 2
triggerall = statetype != A
triggerall = P2statetype != A
triggerall = P2BodyDist X = [-15,34]
triggerall = P2BodyDist Y = [-22,39]
Triggerall = P2StateType != L
Triggerall = !InGuardDist
Triggerall = Random <= var(59)*200
Trigger1 = stateno = 230 && Movecontact

[State -3, Stand Light Punch]
type = ChangeState
value = 1041
triggerall = var(59)
triggerall = roundstate = 2
triggerall = statetype != A
Triggerall = P2StateType != L
Triggerall = P2StateType != C
Triggerall = !InGuardDist
Triggerall = Random <= var(59)*100
Trigger1 = stateno = 430 && Movecontact
Trigger2 = stateno = 400 && Movecontact

[State -3, SKr]
type = ChangeState
value = 1052
triggerall = var(59)
triggerall = roundstate = 2
triggerall = statetype != A
Triggerall = P2StateType != L
Triggerall = !InGuardDist
Triggerall = Random <= var(59)*100
Trigger1 = stateno = 215 && Movecontact

[State -3, SKr]
type = ChangeState
value = 2000
triggerall = var(59)
triggerall = roundstate = 2
triggerall = statetype != A
triggerall = power >= 1000
Triggerall = P2StateType != L
Triggerall = !InGuardDist
Triggerall = Random <= var(59)*100
Trigger1 = stateno = 235 && Movecontact
Trigger2 = stateno = 1051 && Movecontact

[State -3, SKr]
type = ChangeState
value = 4000
triggerall = var(59)
triggerall = roundstate = 2
triggerall = statetype != A
triggerall = power >= 2000
Triggerall = P2StateType != L
Triggerall = !InGuardDist
Triggerall = Random <= var(59)*100
Trigger1 = stateno = 235 && Movecontact
Trigger2 = stateno = 1051 && Movecontact

[State AI]
type = ChangeState
value = 9837
triggerall = var(59)
triggerall = random <= 390
triggerall = roundstate = 2
triggerall = p2statetype != A
triggerall = p2statetype != L
triggerall = ctrl && statetype != A
triggerall = p2bodydist x = [0,100]
triggerall = p2movetype = A
triggerall = statetype = S
trigger1 = ctrl
trigger1 = p2movetype != H

[State -3, SKr]
type = ChangeState
value = 10000
triggerall = var(59)
triggerall = roundstate = 2
triggerall = statetype != A
triggerall = power >= 2000
Triggerall = P2StateType != L
Triggerall = !InGuardDist
Triggerall = Random <= var(59)*100
Trigger1 = stateno = 235 && Movecontact
Trigger2 = stateno = 2000 &&  Movehit &&time = [70 ,80]

[State -3, SKr]
type = ChangeState
value = 2100
triggerall = var(59)
triggerall = roundstate = 2
triggerall = statetype != A
triggerall = power >= 3000
Triggerall = P2StateType != L
Triggerall = !InGuardDist
Triggerall = Random <= var(59)*100
trigger1= stateno = 10000 &&  Movehit &&time = [70 ,80]
Trigger2 = stateno = 235 && Movecontact
Trigger3 = stateno = 2310&&  Movehit



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[State -3, FWalk]
type = ChangeState
value = 21
triggerall = Var(59)
triggerall = roundstate = 2
triggerall = statetype != A
triggerall = !inguarddist
triggerall = ctrl || stateno = 22
triggerall = stateno != 21
triggerall = random <= 100*Var(59)
trigger1 = P2movetype = I
trigger1 = P2BodyDist X >= 50

[State -3, LK]
type = ChangeState
value = 1052
triggerall = power >= 0
triggerall = var(59)
triggerall = roundstate = 2
triggerall = statetype != A
Triggerall = P2BodyDist X >= 210
Triggerall = P2StateType != L
Triggerall = P2StateType != C
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = !InGuardDist
Trigger1 = EnemyNear(floor(fvar(37))),Vel X <= 0
Trigger1 = Random <= var(59)*55

[State -3]
type = ChangeState
value = 22115
triggerall = Alive   = 1
triggerall = var(59)
triggerall = statetype  != A
triggerall = p2life > 0
triggerall = p2movetype = H
triggerall = P2BodyDist Y = [-90,0]
trigger1 = Ctrl        = 1
trigger1 = Random <= 50

[State -3]
type = ChangeState
value = 22115
triggerall = Alive   = 1
triggerall = var(59)
triggerall = statetype  != A
triggerall = p2life > 0
triggerall = p2bodydist X   >= 100
trigger1 = Ctrl        = 1
trigger1 = Random <= 100



[State -3, LK]
type = ChangeState
value = 1051
triggerall = power >= 0
triggerall = var(59)
triggerall = roundstate = 2
triggerall = statetype != A
Triggerall = P2BodyDist X >= 100
Triggerall = P2StateType != L
Triggerall = P2StateType != C
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = !InGuardDist
Trigger1 = EnemyNear(floor(fvar(37))),Vel X <= 0
Trigger1 = Random <= var(59)*55

[State -3, LK]
type = ChangeState
value = 904
triggerall = power >= 0
triggerall = var(59)
triggerall = roundstate = 2
triggerall = statetype != A
Triggerall = P2BodyDist X >= 240
Triggerall = P2StateType != L
Triggerall = P2StateType != C
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = !InGuardDist
Trigger1 = EnemyNear(floor(fvar(37))),Vel X <= 0
Trigger1 = Random <= var(59)*55

[State -3, LK]
type = ChangeState
value = 904
triggerall = power >= 0
triggerall = var(59)
triggerall = roundstate = 2
triggerall = statetype != A
Triggerall = P2BodyDist X >= 150
Triggerall = P2StateType != L
Triggerall = P2StateType != C
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = !InGuardDist
Trigger1 = EnemyNear(floor(fvar(37))),Vel X <= 0
Trigger1 = Random <= var(59)*55

[State -3, LK]
type = ChangeState
value = 904
triggerall = power >= 0
triggerall = var(59)
triggerall = roundstate = 2
triggerall = statetype != A
Triggerall = P2BodyDist X >= 190
Triggerall = P2StateType != L
Triggerall = P2StateType != C
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = !InGuardDist
Trigger1 = EnemyNear(floor(fvar(37))),Vel X <= 0
Trigger1 = Random <= var(59)*55

[State -3, LK]
type = ChangeState
value = 10700
triggerall = power >= 1000
triggerall = var(59)
triggerall = roundstate = 2
triggerall = statetype != A
Triggerall = P2BodyDist X >= 200
Triggerall = P2StateType != L
Triggerall = P2StateType != C
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = !InGuardDist
Trigger1 = EnemyNear(floor(fvar(37))),Vel X <= 0
Trigger1 = Random <= var(59)*55

[State -3, LK]
type = ChangeState
value = 10700
triggerall = power >= 1000
triggerall = var(59)
triggerall = roundstate = 2
triggerall = statetype != A
Triggerall = P2BodyDist X >= 50
Triggerall = P2StateType != L
Triggerall = P2StateType != C
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = !InGuardDist
Trigger1 = EnemyNear(floor(fvar(37))),Vel X <= 0
Trigger1 = Random <= var(59)*55

[State -3, LK]
type = ChangeState
value = 4000
triggerall = var(59)
triggerall = power >= 2000
triggerall = roundstate = 2
triggerall = statetype != A
Triggerall = P2BodyDist X >= 100
Triggerall = P2StateType != L
Triggerall = P2StateType != C
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = !InGuardDist
Trigger1 = EnemyNear(floor(fvar(37))),Vel X <= 0
Trigger1 = Random <= var(59)*100
Trigger2 = stateno = 2210 && Movecontact

[State -3, LK]
type = ChangeState
value = 4701
triggerall = var(59)
triggerall = power >= 1000
triggerall = roundstate = 2
triggerall = statetype != A
Triggerall = P2BodyDist X >= 20
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = !InGuardDist
Trigger1 = EnemyNear(floor(fvar(37))),Vel X <= 0
Trigger1 = Random <= var(59)*55
Trigger2 = stateno = 2210 && Movecontact

[State -3, LK]
type = ChangeState
value = 4000
triggerall = var(59)
triggerall = power >= 2000
triggerall = roundstate = 2
triggerall = statetype != A
Triggerall = P2BodyDist X >= 100
Triggerall = P2StateType != L
Triggerall = P2StateType != C
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = !InGuardDist
Trigger1 = EnemyNear(floor(fvar(37))),Vel X <= 0
Trigger1 = Random <= var(59)*100

[State -3, LK]
type = ChangeState
value = 4000
triggerall = var(59)
triggerall = power >= 3000
triggerall = roundstate = 2
triggerall = statetype != A
Triggerall = P2BodyDist X >= 100
Triggerall = P2StateType != L
Triggerall = P2StateType != C
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = !InGuardDist
Trigger1 = EnemyNear(floor(fvar(37))),Vel X <= 0
Trigger1 = Random <= var(59)*100

[State -3, LK]
type = ChangeState
value = 4000
triggerall = var(59)
triggerall = power >= 4000
triggerall = roundstate = 2
triggerall = statetype != A
Triggerall = P2BodyDist X >= 100
Triggerall = P2StateType != L
Triggerall = P2StateType != C
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = !InGuardDist
Trigger1 = EnemyNear(floor(fvar(37))),Vel X <= 0
Trigger1 = Random <= var(59)*100

[State -1, Crouching Strong Kick]
type = ChangeState
value = 20000
Triggerall = var(59)
Triggerall = RoundState = 2
triggerall = power >= 3000
Triggerall = StateType != A
Triggerall = P2StateType = L
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = Random <= var(59)*100
Triggerall = P2BodyDist X = [-5,25]
Trigger1 = P2StateNo = 5120
Trigger1 = EnemyNear(floor(fvar(37))),AnimTime = -8
trigger2 = stateno = 2310 && movecontact

;偟傖偑傒嫮僉僢僋
[State -1, Crouching Strong Kick]
type = ChangeState
value = 2200
Triggerall = var(59)
Triggerall = RoundState = 2
triggerall = power >= 3000
Triggerall = StateType != A
Triggerall = P2StateType = L
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = Random <= var(59)*100
Triggerall = P2BodyDist X = [-5,40]
Trigger1 = P2StateNo = 5120
Trigger1 = EnemyNear(floor(fvar(37))),AnimTime = -8

;偟傖偑傒嫮僉僢僋
[State -1, Crouching Strong Kick]
type = ChangeState
value = 2300
Triggerall = var(59)
Triggerall = RoundState = 2
triggerall = power >= 2000
Triggerall = StateType != A
Triggerall = P2StateType = L
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = Random <= var(59)*100
Triggerall = P2BodyDist X = [-5,140]
Trigger1 = P2StateNo = 5120
Trigger1 = EnemyNear(floor(fvar(37))),AnimTime = -8

;偟傖偑傒嫮僉僢僋
[State -1, Crouching Strong Kick]
type = ChangeState
value = 2200
Triggerall = var(59)
Triggerall = RoundState = 2
triggerall = power >= 1000
Triggerall = StateType != A
Triggerall = P2StateType = L
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = Random <= var(59)*100
Triggerall = P2BodyDist X = [-5,40]
Trigger1 = P2StateNo = 5120
Trigger1 = EnemyNear(floor(fvar(37))),AnimTime = -8


[State -3, LK]
type = ChangeState
value = 1000
triggerall = var(59)
triggerall = roundstate = 2
triggerall = numprojID(1000) = 0
triggerall = statetype != A
;triggerall = P2BodyDist Y >= 0
Triggerall = P2BodyDist X >= 300
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
Triggerall = P2StateType != A
Triggerall = P2moveType != H
Triggerall = P2MoveType = I
Triggerall = P2StateType != L
Triggerall = !InGuardDist
Trigger1 = EnemyNear(floor(fvar(37))),Vel X <= 0
Trigger1 = Random <= var(59)*55

[State -3, SKr]
type = ChangeState
value = 2000
triggerall = var(59)
triggerall = roundstate = 2
triggerall = power >= 1000
triggerall = statetype != A
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
triggerall = P2bodydist X = [-10+floor(8*(EnemyNear(floor(fvar(37))),vel X)),65+floor(8*(EnemyNear(floor(fvar(37))),vel X))]
triggerall = P2bodydist y = [-72-floor(8*(EnemyNear(floor(fvar(37))),vel Y)+(8*(8+1)/2)*fvar(30)),0-floor(8*(EnemyNear(floor(fvar(37))),vel Y)+(8*(8+1)/2)*fvar(30))]
triggerall = P2statetype != L
triggerall = P2movetype != H
triggerall = P2Statetype = A
Trigger1 = Random <= var(59)*100
Trigger2 = stateno = 235 && Movecontact
Trigger3 = stateno = 1052 && Movecontact


[State -3, SKr]
type = ChangeState
value = 4000
triggerall = var(59)
triggerall = roundstate = 2
triggerall = power >= 2000
triggerall = statetype != A
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
triggerall = P2bodydist X = [-10+floor(8*(EnemyNear(floor(fvar(37))),vel X)),65+floor(8*(EnemyNear(floor(fvar(37))),vel X))]
triggerall = P2bodydist y = [-72-floor(8*(EnemyNear(floor(fvar(37))),vel Y)+(8*(8+1)/2)*fvar(30)),0-floor(8*(EnemyNear(floor(fvar(37))),vel Y)+(8*(8+1)/2)*fvar(30))]
triggerall = P2statetype != L
triggerall = P2movetype != H
triggerall = P2Statetype = A
Trigger1 = Random <= var(59)*100
Trigger2 = stateno = 235 && Movecontact
Trigger3 = stateno = 1052 && Movecontact

[State -3, SKr]
type = ChangeState
value = 10000
triggerall = var(59)
triggerall = roundstate = 2
triggerall = power >= 2000
triggerall = statetype != A
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
triggerall = P2bodydist X = [-10+floor(8*(EnemyNear(floor(fvar(37))),vel X)),65+floor(8*(EnemyNear(floor(fvar(37))),vel X))]
triggerall = P2bodydist y = [-72-floor(8*(EnemyNear(floor(fvar(37))),vel Y)+(8*(8+1)/2)*fvar(30)),0-floor(8*(EnemyNear(floor(fvar(37))),vel Y)+(8*(8+1)/2)*fvar(30))]
triggerall = P2statetype != L
triggerall = P2movetype != H
triggerall = P2Statetype = A
Trigger1 = Random <= var(59)*100
Trigger2 = stateno = 235 && Movecontact
Trigger3 = stateno = 1052 && Movecontact
Trigger4 = stateno = 2000&&  Movehit &&time = [70 ,80]

;-------------------------------------------

[State -3, Crouching Light Kick]
type = ChangeState
value = 430
triggerall = var(59)
triggerall = roundstate = 2
triggerall = statetype != A
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
triggerall = P2BodyDist X = [-5+floor(5*(EnemyNear(floor(fvar(37))),vel X)),15+floor(5*(EnemyNear(floor(fvar(37))),vel X))]
triggerall = P2BodyDist Y >= 0--floor(5*(EnemyNear(floor(fvar(37))),vel Y)+(5*(5+1)/2)*fvar(30))
triggerall = P2statetype != L
triggerall = P2movetype != H
triggerall = P2statetype != C
triggerall = !InGuardDist
Trigger1 = Random <= var(59)*20


;嬤嫍棧棫偪嫮僷儞僠
[State -3, Stand Strong Punch]
type = ChangeState
value = 215
triggerall = var(59)
triggerall = roundstate = 2
triggerall = P2BodyDist X = [-21,21]
triggerall = statetype != A
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
triggerall = P2BodyDist X = [-21+floor(6*(EnemyNear(floor(fvar(37))),vel X)),21+floor(6*(EnemyNear(floor(fvar(37))),vel X))]
triggerall = P2BodyDist Y = [-40-floor(6*(EnemyNear(floor(fvar(37))),vel Y)+(6*(6+1)/2)*fvar(30)),0-floor(6*(EnemyNear(floor(fvar(37))),vel Y)+(6*(6+1)/2)*fvar(30))]
triggerall = P2statetype != L
triggerall = P2statetype != C
triggerall = P2movetype != H
triggerall = !InGuardDist
Trigger1 = Random <= var(59)*30


;偟傖偑傒庛僷儞僠
[State -3, Crouching Light Punch]
type = ChangeState
value = 215
triggerall = var(59)
triggerall = roundstate = 2
triggerall = statetype != A
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
triggerall = P2BodyDist X = [-30+floor(5*(EnemyNear(floor(fvar(37))),vel X)),30+floor(5*(EnemyNear(floor(fvar(37))),vel X))]
triggerall = P2BodyDist Y = [-10-floor(5*(EnemyNear(floor(fvar(37))),vel Y)+(5*(5+1)/2)*fvar(30)),0-floor(5*(EnemyNear(floor(fvar(37))),vel Y)+(5*(5+1)/2)*fvar(30))]
triggerall = P2statetype != L
triggerall = P2movetype != H
triggerall = !InGuardDist
Trigger1 = Random <= var(59)*30



;墦嫍棧棫偪嫮僉僢僋
[State -3, Standing Strong Kick]
type = ChangeState
value = 430
triggerall = var(59)
triggerall = roundstate = 2
triggerall = p2bodydist X > 24
triggerall = P2BodyDist X = [5,20]
triggerall = statetype != A
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
triggerall = P2BodyDist X = [24+floor(12*(EnemyNear(floor(fvar(37))),vel X)),40+floor(12*(EnemyNear(floor(fvar(37))),vel X))]
triggerall = P2BodyDist Y = [-41-floor(12*(EnemyNear(floor(fvar(37))),vel Y)+(12*(12+1)/2)*fvar(30)),0-floor(3*(EnemyNear(floor(fvar(37))),vel Y)+(12*(12+1)/2)*fvar(30))]
triggerall = P2statetype != L
triggerall = P2movetype != H
triggerall = !InGuardDist
Trigger1 = Random <= var(59)*10


;墦嫍棧棫偪庛僉僢僋
[State -3, Stand Light Kick]
type = ChangeState
value = 215
triggerall = var(59)
triggerall = roundstate = 2
triggerall = P2BodyDist X > 11
triggerall = statetype != A
triggerall = ctrl || stateno = 20|| stateno = 21|| stateno = 22|| stateno = 100
triggerall = P2BodyDist X = [12+floor(7*(EnemyNear(floor(fvar(37))),vel X)),60+floor(7*(EnemyNear(floor(fvar(37))),vel X))]
triggerall = P2BodyDist Y = [-45-floor(7*(EnemyNear(floor(fvar(37))),vel Y)+(7*(7+1)/2)*fvar(30)),0-floor(7*(EnemyNear(floor(fvar(37))),vel Y)+(7*(7+1)/2)*fvar(30))]
triggerall = P2statetype != L
triggerall = P2movetype != H
triggerall = P2statetype = C
triggerall = !InGuardDist
Trigger1 = Random <= var(59)*30

[State -3, UKEMI]
type = ChangeState
value = 52000
triggerall = var(59)
triggerall = alive = 1
Triggerall = Random <= var(59)*100
trigger1 = stateno = 5050
trigger1 = pos y > -30
trigger1 = vel y > 0 && vel y < 9

;嬻拞庴恎
[State -3, UKEMI]
type = ChangeState
value = 5210
triggerall = Var(59)
triggerall = roundstate = 2
triggerall = stateno = 5050
triggerall = Vel Y > -1
triggerall = alive
triggerall = CanRecover
triggerall = inguarddist
trigger1 = random <= 100*var(59)


;悅捈僕儍儞僾嫮僷儞僠
[State -3, Jump Strong Punch]
type = ChangeState
value = 640
triggerall = var(59)
triggerall = roundstate = 2
triggerall = stateno != 105
triggerall = statetype = A
triggerall = ctrl
triggerall = vel X = 0
triggerall = P2BodyDist X = [-15+floor(9*(EnemyNear(floor(fvar(37))),vel X)+floor(9*vel X)),24+floor(9*(EnemyNear(floor(fvar(37))),vel X)+floor(9*vel X))]
triggerall = P2BodyDist Y = [-50-floor(9*(EnemyNear(floor(fvar(37))),vel Y)+(9*(9+1)/2)*fvar(30)-floor(9*vel Y)-(9*(9+1)/2)*0.54),11-floor(9*(EnemyNear(floor(fvar(37))),vel Y)+(9*(9+1)/2)*fvar(30)-floor(9*vel Y)-(9*(9+1)/2)*0.54)]
triggerall = (EnemyNear(floor(fvar(37))),statetype != A && Vel Y >= 0) || EnemyNear(floor(fvar(37))),statetype = A
triggerall = !inguarddist
triggerall = P2statetype != L
trigger1 = random <= 100*var(59)


;幬傔僕儍儞僾嫮僷儞僠
[State -3, Jump Strong Punch]
type = ChangeState
value = 640
triggerall = var(59)
triggerall = roundstate = 2
triggerall = stateno != 105
triggerall = statetype = A
triggerall = ctrl
triggerall = vel X != 0
triggerall = P2BodyDist X = [-15+floor(5*(EnemyNear(floor(fvar(37))),vel X)+floor(5*vel X)),31+floor(5*(EnemyNear(floor(fvar(37))),vel X)+floor(5*vel X))]
triggerall = P2BodyDist Y = [-46-floor(5*(EnemyNear(floor(fvar(37))),vel Y)+(5*(5+1)/2)*fvar(30)-floor(5*vel Y)-(5*(5+1)/2)*0.54),45-floor(5*(EnemyNear(floor(fvar(37))),vel Y)+(5*(5+1)/2)*fvar(30)-floor(5*vel Y)-(5*(5+1)/2)*0.54)]
triggerall = (EnemyNear(floor(fvar(37))),statetype != A && Vel Y >= 0) || EnemyNear(floor(fvar(37))),statetype = A
triggerall = !inguarddist
triggerall = P2statetype != L
trigger1 = random <= 100*var(59)


;僕儍儞僾嫮僉僢僋
[State -3, Jump Strong Kick]
type = ChangeState
value = 640
triggerall = var(59)
triggerall = roundstate = 2
triggerall = stateno != 105
triggerall = statetype = A
triggerall = ctrl
triggerall = P2BodyDist X = [-15+floor(7*(EnemyNear(floor(fvar(37))),vel X)+floor(7*vel X)),54+floor(7*(EnemyNear(floor(fvar(37))),vel X)+floor(7*vel X))]
triggerall = P2BodyDist Y = [-22-floor(7*(EnemyNear(floor(fvar(37))),vel Y)+(7*(7+1)/2)*fvar(30)-floor(7*vel Y)-(7*(7+1)/2)*0.54),59-floor(7*(EnemyNear(floor(fvar(37))),vel Y)+(7*(7+1)/2)*fvar(30)-floor(7*vel Y)-(7*(7+1)/2)*0.54)]
triggerall = (EnemyNear(floor(fvar(37))),statetype != A && Vel Y >= 0) || EnemyNear(floor(fvar(37))),statetype = A
triggerall = !inguarddist
triggerall = P2statetype != L
trigger1 = random <= 100*var(59)

[State -1]
type = ChangeState
value = 1021
triggerall = statetype != A
;triggerall = enemynear,stateno = [5100,5112] 
triggerall = Roundstate=2
triggerall = P2statetype = L
Triggerall = P2StateType != C
triggerall = p2bodydist X = [110,125]
triggerall = P2BodyDist Y >= 0
triggerall = var(59)
trigger1 = random <= 100*var(59)
trigger1 = ctrl

[State -1]
type = ChangeState
value = 1022
triggerall = statetype != A
;triggerall = enemynear,stateno = [5100,5112] 
triggerall = Roundstate=2
triggerall = P2statetype = L
Triggerall = P2StateType != C
triggerall = p2bodydist X = [170,185]
triggerall = P2BodyDist Y >= 0
triggerall = var(59)
trigger1 = random <= 100*var(59)
trigger1 = ctrl

[State -1]
type = ChangeState
value = 1023
triggerall = statetype != A
;triggerall = enemynear,stateno = [5100,5112] 
triggerall = Roundstate=2
triggerall = P2statetype = L
Triggerall = P2StateType != C
triggerall = p2bodydist X = [210,230]
triggerall = P2BodyDist Y >= 0
triggerall = var(59)
trigger1 = random <= 100*var(59)
trigger1 = ctrl

[State AI]
type = ChangeState
value = 20000
triggerall = var(59)
triggerall = Random <= var(59)*100
triggerall = power >= 3000
triggerall = p2stateno != [5050,5122]
triggerall = ctrl && statetype != A
triggerall = statetype != A
triggerall = p2statetype != A
triggerall = P2statetype != L
triggerall = p2bodydist x = [-15,25]
trigger1 = ctrl
trigger2 = stateno = 2310 && movecontact

[State AI]
type = ChangeState
value = 2200
triggerall = var(59)
triggerall = Random <= var(59)*100
triggerall = power >= 3000
triggerall = p2stateno != [5050,5122]
triggerall = ctrl && statetype != A
triggerall = statetype != A
triggerall = p2statetype != A
triggerall = P2statetype != L
triggerall = p2bodydist x = [-15,45]
trigger1 = ctrl

[State AI]
type = ChangeState
value = 2300
triggerall = var(59)
triggerall = Random <= var(59)*150
triggerall = p2stateno != [5050,5122]
triggerall = power >= 2000
triggerall = ctrl && statetype != A
triggerall = statetype != A
triggerall = p2statetype != A
triggerall = P2statetype != L
triggerall = p2bodydist x = [-15,125]
trigger1 = ctrl

[State AI]
type = ChangeState
value = 2200
triggerall = var(59)
triggerall = Random <= var(59)*100
triggerall = p2stateno != [5050,5122]
triggerall = power >= 1000
triggerall = ctrl && statetype != A
triggerall = statetype != A
triggerall = p2statetype != A
triggerall = P2statetype != L
triggerall = p2bodydist x = [-15,45]
trigger1 = ctrl



[State AI]
type = ChangeState
value = 800
triggerall = var(59)
triggerall = Random <= var(59)*100
triggerall = p2stateno != [5050,5122]
triggerall = ctrl && statetype != A
triggerall = statetype != A
triggerall = p2statetype != A
triggerall = P2statetype != L
triggerall = p2bodydist x = [-15,15]
trigger1 = ctrl

